package com.bonus.canteen.core.menu.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;

@TableName("menu_mealtime_type_dishes")
@ApiModel(
   value = "MenuMealtimeTypeDishes对象",
   description = ""
)
public class MenuMealtimeTypeDishes implements Serializable {
   private static final long serialVersionUID = 1L;
   @TableId(
      value = "id",
      type = IdType.AUTO
   )
   private Integer id;
   private Long dishesId;
   @ApiModelProperty("季节类别")
   private Integer mealtimeType;
   private Integer ifDel;

   public Integer getId() {
      return this.id;
   }

   public Long getDishesId() {
      return this.dishesId;
   }

   public Integer getMealtimeType() {
      return this.mealtimeType;
   }

   public Integer getIfDel() {
      return this.ifDel;
   }

   public MenuMealtimeTypeDishes setId(final Integer id) {
      this.id = id;
      return this;
   }

   public MenuMealtimeTypeDishes setDishesId(final Long dishesId) {
      this.dishesId = dishesId;
      return this;
   }

   public MenuMealtimeTypeDishes setMealtimeType(final Integer mealtimeType) {
      this.mealtimeType = mealtimeType;
      return this;
   }

   public MenuMealtimeTypeDishes setIfDel(final Integer ifDel) {
      this.ifDel = ifDel;
      return this;
   }
}
